#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Crypt
%define		pnam	DES
Summary:	Crypt::DES - Perl DES encryption module
Summary(pl.UTF-8):	Crypt::DES - moduł Perla dla szyfrowania DES
Name:		perl-Crypt-DES
Version:	2.07
Release:	8
License:	BSD-like (see COPYRIGHT)
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/Crypt/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	e845d24cf383ca4a30a3380a2735feac
URL:		http://search.cpan.org/dist/Crypt-DES/
%{?with_tests:BuildRequires:	perl-Crypt-CBC}
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Crypt::DES is Perl interface to DES block cipher.

%description -l pl.UTF-8
Moduł Perla Crypt::DES zawiera obsługę algorytmu szyfrowania DES.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make} \
	CC="%{__cc}" \
	OPTIMIZE="%{rpmcflags}"

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc COPYRIGHT README
%{perl_vendorarch}/Crypt/DES.pm
%dir %{perl_vendorarch}/auto/Crypt/DES
%attr(755,root,root) %{perl_vendorarch}/auto/Crypt/DES/DES.so
%{_mandir}/man3/Crypt::DES.3pm*
%changelog
* Sun Jun 11 2017 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/perl-Crypt-DES.git;a=log;h=master

* Sun Jun 11 2017 Jan Rękorajski <baggins@pld-linux.org> aa8f7b1
- perl req/prov fix
- release 8 (by relup.sh)

* Sun Jun 11 2017 Jan Rękorajski <baggins@pld-linux.org> 4265c38
- rebuild with perl 5.26
- release 7 (by relup.sh)

* Sun Oct 30 2016 Jan Rękorajski <baggins@pld-linux.org> f9f961b
- rebuild with perl 5.24.0
- release 6 (by relup.sh)

* Thu Dec 24 2015 Jan Rękorajski <baggins@pld-linux.org> f78da72
- release 5 (by relup.sh)

* Thu Feb 26 2015 Jan Rękorajski <baggins@pld-linux.org> dc8ae78
- x32 rebuild
- release 4 (by relup.sh)

* Fri Sep 12 2014 Jan Rękorajski <baggins@pld-linux.org> 29905bb
- release 3 (by relup.sh)

* Fri Sep 12 2014 Jan Rękorajski <baggins@pld-linux.org> b074f78
- removed zero-sized .bs file

* Fri Sep 12 2014 Jan Rękorajski <baggins@pld-linux.org> 5360a44
- rebuild for perl 5.20
- release 2 (by relup.sh)

* Fri Mar 07 2014 Jakub Bogusz <qboosh@pld-linux.org> 0a4e814
- updated to 2.07

* Sat Jun 08 2013 Jan Rękorajski <baggins@pld-linux.org> ea8a826
- rebuild with perl 5.18.0
- release 8 (by relup.sh)

* Tue Oct 04 2011 lisu <lisu@pld-linux.org> 8339b2d
- rel 7

* Wed Feb 02 2011 sparky <sparky@pld-linux.org> 7ab0dae
- tests BR: perl-Crypt-CBC

* Fri Nov 12 2010 pawelz <pawelz@pld-linux.org> 50aa949
- release 6

* Sun Jun 06 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> ecbf042
- release 5

* Fri Mar 13 2009 hawk <hawk@pld-linux.org> bdf5ad2
- release 4

* Sat Mar 15 2008 Jakub Bogusz <qboosh@pld-linux.org> eee932a
- generic URL

* Sun Mar 02 2008 radek <radek@pld-linux.org> 54415b2
- release 3

* Sun Feb 10 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> c31f9c7
- rel 2

* Thu Jan 10 2008 Elan Ruusamäe <glen@pld-linux.org> fb8a282
- pass CC, rel 1

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> f33aaf5
- tabs in preamble

